<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Hinzufügen -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>SmartBooks</title>

    <!-- Hinzufügen -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/basic.css">
    <script type="text/javascript" src="/js/validation.js"></script>
</head>
<body>
<section class="navigation">
    <nav>
        <a href="/"><img id="logo" src="/img/logo.png"></a>
        <ul>
            <li><a href="/search">Suche</a></li>
            <li><a href="/impressum">Impressum</a></li>
        </ul>
    </nav>
</section>
<section class="content" id="update">
    <div id="message"></div>
    <h1>Buch bearbeiten</h1>
    <form action="/book/update" name="form" method="post" th:object="${PlattformItem}">
        <input type="hidden" name="PlattformItem.id" th:value="*{itemID}" />
        <input type="hidden" name="buchItem.buchID" th:value="*{buchItem.buchID}" />
        <input type="hidden" name="hsItem.hsID" th:value="*{hsItem.hsID}" />
        <input type="hidden" name="hsItem.sgItem.sgID" th:value="*{hsItem.sgItem.sgID}" />
        <input type="hidden" name="benutzerItem.benutzerId" th:value="*{benutzerItem.benutzerId}" />
        <div class="createInputField">
            <label>Titel:</label> <input type="text" class="form-control" name="PlattformItem.titel" th:value="*{buchItem.titel}"/>
        </div>
        <div class="createInputField">
            <label>ISBN:</label> <input type="text" class="form-control" name="PlattformItem.isbn" th:value="*{buchItem.isbn}"/>
        </div>
        <div class="createInputField">
            <label>Autor:</label> <input type="text" class="form-control" name="PlattformItem.author" th:value="*{buchItem.author}"/>
        </div>
        <div class="createInputField">
            <label>Veröffentlichkeits Datum:</label> <input type="date" class="form-control" name="PlattformItem.veroeff_dat" th:value="*{buchItem.veroeff_dat}"/>
        </div>
        <div class="createInputField">
            <label>Buch Version:</label> <input type="text" class="form-control" name="PlattformItem.version" th:value="*{buchItem.version}"/>
        </div>
        <div class="createInputField">
            <label>Preis:</label> <input type="text" class="form-control" name="PlattformItem.preis" th:value="*{#numbers.formatDecimal(buchItem.preis,1, 'DEFAULT', 2, 'DEFAULT')}"/>
        </div>
        <div class="createInputField">
            <label>Hochschule:</label> <input type="text" class="form-control" name="PlattformItem.hochschule" th:value="*{hsItem.hsName}"/>
        </div>
        <div class="createInputField">
            <label>Hochschulabteilung:</label> <input type="text" class="form-control" name="PlattformItem.hs_abteilung" th:value="*{hsItem.abteilung}"/>
        </div>
        <div class="createInputField">
            <label>Ort der Hochschule:</label> <input type="text" class="form-control" name="PlattformItem.hs_ort" th:value="*{hsItem.ort}"/>
        </div>
        <div class="createInputField">
            <label>Studiengang:</label> <input type="text" class="form-control" name="PlattformItem.studiengang" th:value="*{hsItem.sgItem.sgName}"/>
        </div>
        <div class="createInputField">
            <label>Benutzername:</label> <input type="text" class="form-control" name="PlattformItem.benutzername" th:value="*{benutzerItem.benutzerName}"/>
        </div>
        <div class="createInputField">
            <label>Benutzer E-Mail:</label> <input type="text" class="form-control" name="PlattformItem.email" th:value="*{benutzerItem.email}"/>
        </div>
        <input type="submit" class="form-control" id="submit" value="Update"/>
        <a class="form-control" th:href="${'/book/delete?id=' + PlattformItem.getItemID()}">Löschen</a>
    </form>
</section>
<script>
    var submitBtn = document.getElementById("submit");
    submitBtn.addEventListener('click', validateForm);

</script>
</body>
</html>